Uploaded image for project: 'Guacamole'
  1. Guacamole
  2. GUACAMOLE-1052

Libssh2 has less key exchange methods when compare to libssh.

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 0.9.14
    • Fix Version/s: None
    • Component/s: SSH
    • Labels:
      None

      Description

      Hi all,

      I am using guacamole 0.9.14 and libssh2-1.9.0.

       it is working well without any issue till now. 

      Recently, the application team they have updated the patch on their system. So after that, we were not able to do ssh to their systems using guacamole.

      Whereas when we  try to login using OpenSSH (putty or login from linux system )  is working 

      So i  checked and found only the below mentioned key exchange methods are allowed on remote Linux systems.

      "curve25519-sha256@libssh.org,ecdh-sha2-nistp521,ecdh-sha2-nistp384,ecdh-sha2-nistp256"

      But all these key exchange methods are not supported by libssh2. Whereas it is supported on libssh.

      Libssh key exchange methods.

       

      Libssh2 key exchange methods.

       

      so is there any option to choose libssh instead of libssh2 while installing? 

      Or suggest me some good ideas  to rectify this issue.

       

       

        Attachments

        1. image-2020-04-24-20-35-00-775.png
          22 kB
          Anburaj palraj
        2. image-2020-04-24-20-35-47-558.png
          13 kB
          Anburaj palraj

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                anburhce Anburaj palraj
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: